Apache JMeter

## org.apache.jmeter.protocol.java.sampler
Class BeanShellSampler

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.util.BeanShellTestElement
              org.apache.jmeter.protocol.java.sampler.BeanShellSampler

All Implemented Interfaces:
  Serializable, Cloneable, Interruptible, Sampler, TestElement, TestListener, ThreadListener

    public class BeanShellSampler

extends BeanShellTestElement
implements Sampler, Interruptible

A sampler which understands BeanShell

See Also:
  Serialized Form

Field Summary
`static String` `FILENAME`
`static String` `INIT_FILE`
`static String` `PARAMETERS`
`static String` `RESET_INTERPRETER`
`static String` `SCRIPT`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`BeanShellSampler()`

Method Summary
`String` `getFilename()`
`protected String` `getInitFileProperty()`
`String` `getParameters()`
`String` `getScript()` Return the script (TestBean version).
`boolean` `interrupt()` Interrupt the current operation if possible.
`boolean` `isResetInterpreter()`
`SampleResult` `sample(Entry e)` Obtains statistics about the given Entry, and packages the information into a SampleResult.

Methods inherited from class org.apache.jmeter.util.BeanShellTestElement
`clone, getBeanShellInterpreter, processFileOrScript, readResolve, setFilename, setParameters, setResetInterpreter, setScript, testEnded, testEnded, testIterationStart, testStarted, testStarted, threadFinished, threadStarted`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.testelement.TestElement

`addTestElement, canRemove, clear, clearTestElementChildren, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

Field Detail

### FILENAME

    public static final String FILENAME

See Also:
  Constant Field Values

### SCRIPT

    public static final String SCRIPT

See Also:
  Constant Field Values

### PARAMETERS

    public static final String PARAMETERS

See Also:
  Constant Field Values

### INIT_FILE

    public static final String INIT_FILE

See Also:
  Constant Field Values

### RESET_INTERPRETER

    public static final String RESET_INTERPRETER

See Also:
  Constant Field Values

Constructor Detail

### BeanShellSampler

    public BeanShellSampler()

Method Detail

### getInitFileProperty

    protected String getInitFileProperty()

  Specified by:
    `getInitFileProperty` in class `BeanShellTestElement`

### getScript

    public String getScript()

  Description copied from class: `BeanShellTestElement`
  Return the script (TestBean version). Must be overridden for subclasses that don't implement TestBean otherwise the clone() method won't work.

  Overrides:
    `getScript` in class `BeanShellTestElement`
  Returns:
    the script to execute

### getFilename

    public String getFilename()

  Overrides:
    `getFilename` in class `BeanShellTestElement`

### getParameters

    public String getParameters()

  Overrides:
    `getParameters` in class `BeanShellTestElement`

### isResetInterpreter

    public boolean isResetInterpreter()

  Overrides:
    `isResetInterpreter` in class `BeanShellTestElement`

### sample

    public SampleResult sample(Entry e)

  Description copied from interface: `Sampler`
  Obtains statistics about the given Entry, and packages the information into a SampleResult.

  Specified by:
    `sample` in interface `Sampler`

### interrupt

    public boolean interrupt()

  Description copied from interface: `Interruptible`
  Interrupt the current operation if possible.

  Specified by:
    `interrupt` in interface `Interruptible`
  Returns:
    `true` if there was an operation to interrupt.

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.